Index: pjproject/trunk/pjsip-apps/src/samples/pjsua2_demo.cpp
===================================================================
--- pjproject/trunk/pjsip-apps/src/samples/pjsua2_demo.cpp	(revision 6025)
+++ pjproject/trunk/pjsip-apps/src/samples/pjsua2_demo.cpp	(revision 6026)
@@ -175,5 +175,5 @@
 
 
-static void mainProg1(Endpoint &ep) throw(Error)
+static void mainProg1(Endpoint &ep)
 {
     // Init library
@@ -198,5 +198,9 @@
                                                         "test1", 0, "test1") );
     MyAccount *acc(new MyAccount);
-    acc->create(acc_cfg);
+    try {
+	acc->create(acc_cfg);
+    } catch (...) {
+	std::cout << "Adding account failed" << std::endl;
+    }
     
     pj_thread_sleep(2000);
@@ -220,5 +224,5 @@
 }
 
-static void mainProg2() throw(Error)
+static void mainProg2()
 {
     string json_str;
@@ -266,5 +270,5 @@
 
 
-static void mainProg3(Endpoint &ep) throw(Error)
+static void mainProg3(Endpoint &ep)
 {
     const char *paths[] = { "../../../../tests/pjsua/wavs/input.16.wav",
@@ -325,5 +329,5 @@
 
 
-static void mainProg() throw(Error)
+static void mainProg()
 {
     string json_str;
@@ -377,5 +381,5 @@
 
 
-static void mainProg4(Endpoint &ep) throw(Error)
+static void mainProg4(Endpoint &ep)
 {
     // Init library
Index: pjproject/trunk/pjsip-apps/src/swig/java/android/app/src/main/java/org/pjsip/pjsua2/app/MyApp.java
===================================================================
--- pjproject/trunk/pjsip-apps/src/swig/java/android/app/src/main/java/org/pjsip/pjsua2/app/MyApp.java	(revision 6025)
+++ pjproject/trunk/pjsip-apps/src/swig/java/android/app/src/main/java/org/pjsip/pjsua2/app/MyApp.java	(revision 6026)
@@ -445,4 +445,5 @@
 	    acc.create(cfg);
 	} catch (Exception e) {
+	    System.out.println(e);
 	    acc = null;
 	    return null;
Index: pjproject/trunk/pjsip-apps/src/swig/pjsua2.i
===================================================================
--- pjproject/trunk/pjsip-apps/src/swig/pjsua2.i	(revision 6025)
+++ pjproject/trunk/pjsip-apps/src/swig/pjsua2.i	(revision 6026)
@@ -97,4 +97,12 @@
 %ignore toPj;
 
+// C++11 deprecated dynamic exception specification, but SWIG needs it.
+#ifndef SWIG
+#   define PJSUA2_THROW(x)
+#else
+#   define PJSUA2_THROW(x) throw(x)
+#endif
+
+
 //
 // Now include the API itself.
Index: pjproject/trunk/pjsip/include/pjsua2/account.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/account.hpp	(revision 6025)
+++ pjproject/trunk/pjsip/include/pjsua2/account.hpp	(revision 6026)
@@ -175,5 +175,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -182,5 +182,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 
 };
@@ -274,5 +274,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -281,5 +281,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -332,5 +332,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -339,5 +339,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -399,5 +399,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -406,5 +406,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -439,5 +439,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -446,5 +446,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -693,5 +693,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -700,5 +700,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -782,5 +782,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -789,5 +789,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -885,5 +885,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -892,5 +892,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -972,5 +972,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -979,5 +979,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -1078,5 +1078,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -1085,5 +1085,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -1133,5 +1133,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -1140,5 +1140,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
     
 } AccountIpChangeConfig;
@@ -1235,5 +1235,5 @@
      * @param node		Container to read values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -1242,5 +1242,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -1643,5 +1643,5 @@
      */
     void create(const AccountConfig &cfg,
-                bool make_default=false) throw(Error);
+                bool make_default=false) PJSUA2_THROW(Error);
 
     /**
@@ -1668,5 +1668,5 @@
      * 				account.
      */
-    void modify(const AccountConfig &cfg) throw(Error);
+    void modify(const AccountConfig &cfg) PJSUA2_THROW(Error);
 
     /**
@@ -1681,5 +1681,5 @@
      * requests don't match any accounts.
      */
-    void setDefault() throw(Error);
+    void setDefault() PJSUA2_THROW(Error);
 
     /**
@@ -1713,5 +1713,5 @@
      * @return			Account info.
      */
-    AccountInfo getInfo() const throw(Error);
+    AccountInfo getInfo() const PJSUA2_THROW(Error);
 
     /**
@@ -1723,5 +1723,5 @@
      * 				process.
      */
-    void setRegistration(bool renew) throw(Error);
+    void setRegistration(bool renew) PJSUA2_THROW(Error);
 
     /**
@@ -1734,5 +1734,5 @@
      * @param pres_st		Presence online status.
      */
-    void setOnlineStatus(const PresenceStatus &pres_st) throw(Error);
+    void setOnlineStatus(const PresenceStatus &pres_st) PJSUA2_THROW(Error);
 
     /**
@@ -1750,5 +1750,5 @@
      * @param tp_id		The transport ID.
      */
-    void setTransport(TransportId tp_id) throw(Error);
+    void setTransport(TransportId tp_id) PJSUA2_THROW(Error);
 
     /**
@@ -1760,5 +1760,5 @@
      * @param prm		The sending NOTIFY parameter.
      */
-    void presNotify(const PresNotifyParam &prm) throw(Error);
+    void presNotify(const PresNotifyParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1770,5 +1770,5 @@
      * @return			The buddy list.
      */
-    const BuddyVector& enumBuddies() const throw(Error);
+    const BuddyVector& enumBuddies() const PJSUA2_THROW(Error);
 
     /**
@@ -1777,5 +1777,5 @@
      * @return			The buddy list.
      */
-    BuddyVector2 enumBuddies2() const throw(Error);
+    BuddyVector2 enumBuddies2() const PJSUA2_THROW(Error);
 
     /**
@@ -1793,5 +1793,5 @@
      */
     Buddy* findBuddy(string uri, FindBuddyMatch *buddy_match = NULL) const
-		    throw(Error);
+		    PJSUA2_THROW(Error);
 
     /**
@@ -1804,5 +1804,5 @@
      * @return			The pointer to buddy.
      */
-    Buddy findBuddy2(string uri) const throw(Error);
+    Buddy findBuddy2(string uri) const PJSUA2_THROW(Error);
 
 public:
Index: pjproject/trunk/pjsip/include/pjsua2/call.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/call.hpp	(revision 6025)
+++ pjproject/trunk/pjsip/include/pjsua2/call.hpp	(revision 6026)
@@ -1210,5 +1210,5 @@
      * @return              Call info.
      */
-    CallInfo getInfo() const throw(Error);
+    CallInfo getInfo() const PJSUA2_THROW(Error);
     
     /**
@@ -1264,5 +1264,5 @@
      * @return              The audio media.
      */
-    AudioMedia getAudioMedia(int med_idx) const throw(Error);
+    AudioMedia getAudioMedia(int med_idx) const PJSUA2_THROW(Error);
 
     /**
@@ -1277,5 +1277,5 @@
      * @return              The video media.
      */
-    VideoMedia getEncodingVideoMedia(int med_idx) const throw(Error);
+    VideoMedia getEncodingVideoMedia(int med_idx) const PJSUA2_THROW(Error);
 
     /**
@@ -1290,5 +1290,5 @@
      * @return              The video media.
      */
-    VideoMedia getDecodingVideoMedia(int med_idx) const throw(Error);
+    VideoMedia getDecodingVideoMedia(int med_idx) const PJSUA2_THROW(Error);
 
     /**
@@ -1349,5 +1349,5 @@
      * @see Endpoint::natGetType(), natTypeInSdp
      */
-    pj_stun_nat_type getRemNatType() throw(Error);
+    pj_stun_nat_type getRemNatType() PJSUA2_THROW(Error);
 
     /**
@@ -1360,5 +1360,6 @@
      *                      request.
      */
-    void makeCall(const string &dst_uri, const CallOpParam &prm) throw(Error);
+    void makeCall(const string &dst_uri, const CallOpParam &prm)
+		  PJSUA2_THROW(Error);
 
     /**
@@ -1384,5 +1385,5 @@
      *                      INVITE request.
      */
-    void answer(const CallOpParam &prm) throw(Error);
+    void answer(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1404,5 +1405,5 @@
      *                      request/response message.
      */
-    void hangup(const CallOpParam &prm) throw(Error);
+    void hangup(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1418,5 +1419,5 @@
      *                      the request.
      */
-    void setHold(const CallOpParam &prm) throw(Error);
+    void setHold(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1433,5 +1434,5 @@
      *                      the request.
      */
-    void reinvite(const CallOpParam &prm) throw(Error);
+    void reinvite(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1443,5 +1444,5 @@
      *                      the request.
      */
-    void update(const CallOpParam &prm) throw(Error);
+    void update(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1460,5 +1461,5 @@
      *                      the request.
      */
-    void xfer(const string &dest, const CallOpParam &prm) throw(Error);
+    void xfer(const string &dest, const CallOpParam &prm) PJSUA2_THROW(Error);
 
     /**
@@ -1478,5 +1479,5 @@
      */
     void xferReplaces(const Call& dest_call,
-                      const CallOpParam &prm) throw(Error);
+                      const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1502,5 +1503,5 @@
      *                      not accepted here.
      */
-    void processRedirect(pjsip_redirect_op cmd) throw(Error);
+    void processRedirect(pjsip_redirect_op cmd) PJSUA2_THROW(Error);
 
     /**
@@ -1509,5 +1510,5 @@
      * @param digits        DTMF string digits to be sent.
      */
-    void dialDtmf(const string &digits) throw(Error);
+    void dialDtmf(const string &digits) PJSUA2_THROW(Error);
 
     /**
@@ -1516,5 +1517,5 @@
      * @param param	The send DTMF parameter.
      */
-    void sendDtmf(const CallSendDtmfParam &param) throw (Error);
+    void sendDtmf(const CallSendDtmfParam &param) PJSUA2_THROW(Error);
     
     /**
@@ -1530,5 +1531,6 @@
      *                      the IM callback is called.
      */
-    void sendInstantMessage(const SendInstantMessageParam& prm) throw(Error);
+    void sendInstantMessage(const SendInstantMessageParam& prm)
+			    PJSUA2_THROW(Error);
     
     /**
@@ -1541,5 +1543,5 @@
      */
     void sendTypingIndication(const SendTypingIndicationParam &prm)
-         throw(Error);
+         PJSUA2_THROW(Error);
     
     /**
@@ -1553,5 +1555,5 @@
      *                      included in outgoing request.
      */
-    void sendRequest(const CallSendRequestParam &prm) throw(Error);
+    void sendRequest(const CallSendRequestParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1563,5 +1565,5 @@
      * @return              Call dump and media statistics string.
      */
-    string dump(bool with_media, const string indent) throw(Error);
+    string dump(bool with_media, const string indent) PJSUA2_THROW(Error);
     
     /**
@@ -1601,5 +1603,5 @@
      */
     void vidSetStream(pjsua_call_vid_strm_op op,
-                      const CallVidSetStreamParam &param) throw(Error);
+                      const CallVidSetStreamParam &param) PJSUA2_THROW(Error);
 
     /**
@@ -1610,5 +1612,5 @@
      * @return              The stream info.
      */
-    StreamInfo getStreamInfo(unsigned med_idx) const throw(Error);
+    StreamInfo getStreamInfo(unsigned med_idx) const PJSUA2_THROW(Error);
     
     /**
@@ -1619,5 +1621,5 @@
      * @return              The stream statistic.
      */
-    StreamStat getStreamStat(unsigned med_idx) const throw(Error);
+    StreamStat getStreamStat(unsigned med_idx) const PJSUA2_THROW(Error);
     
     /**
@@ -1628,5 +1630,6 @@
      * @return              The transport info.
      */
-    MediaTransportInfo getMedTransportInfo(unsigned med_idx) const throw(Error);
+    MediaTransportInfo getMedTransportInfo(unsigned med_idx) const
+					   PJSUA2_THROW(Error);
 
     /**
Index: pjproject/trunk/pjsip/include/pjsua2/config.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/config.hpp	(revision 6025)
+++ pjproject/trunk/pjsip/include/pjsua2/config.hpp	(revision 6026)
@@ -48,4 +48,14 @@
 #endif
 
+
+/*
+ * C++11 deprecated dynamic exception specification, but SWIG needs it.
+ */
+#ifndef SWIG
+#   define PJSUA2_THROW(x)
+#else
+#   define PJSUA2_THROW(x) throw(x)
+#endif
+
 /**
  * @}  PJSUA2_CFG
Index: pjproject/trunk/pjsip/include/pjsua2/endpoint.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/endpoint.hpp	(revision 6025)
+++ pjproject/trunk/pjsip/include/pjsua2/endpoint.hpp	(revision 6026)
@@ -574,5 +574,5 @@
      * @param node		Container to write values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -581,5 +581,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 
 };
@@ -674,5 +674,5 @@
      * @param node		Container to write values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -681,5 +681,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -893,5 +893,5 @@
      * @param node		Container to write values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -900,5 +900,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 };
 
@@ -923,5 +923,5 @@
      * @param node		Container to write values from.
      */
-    virtual void readObject(const ContainerNode &node) throw(Error);
+    virtual void readObject(const ContainerNode &node) PJSUA2_THROW(Error);
 
     /**
@@ -930,5 +930,5 @@
      * @param node		Container to write values to.
      */
-    virtual void writeObject(ContainerNode &node) const throw(Error);
+    virtual void writeObject(ContainerNode &node) const PJSUA2_THROW(Error);
 
 };
@@ -955,5 +955,5 @@
 public:
     /** Retrieve the singleton instance of the endpoint */
-    static Endpoint &instance() throw(Error);
+    static Endpoint &instance() PJSUA2_THROW(Error);
 
     /** Default constructor */
@@ -979,5 +979,5 @@
      * application must call libDestroy() before quitting.
      */
-    void libCreate() throw(Error);
+    void libCreate() PJSUA2_THROW(Error);
 
     /**
@@ -997,5 +997,5 @@
      * @param prmEpConfig	Endpoint configurations
      */
-    void libInit( const EpConfig &prmEpConfig) throw(Error);
+    void libInit( const EpConfig &prmEpConfig) PJSUA2_THROW(Error);
 
     /**
@@ -1004,5 +1004,5 @@
      * function any time after init().
      */
-    void libStart() throw(Error);
+    void libStart() PJSUA2_THROW(Error);
 
     /**
@@ -1014,5 +1014,5 @@
      * @param name	The optional name to be assigned to the thread.
      */
-    void libRegisterThread(const string &name) throw(Error);
+    void libRegisterThread(const string &name) PJSUA2_THROW(Error);
 
     /**
@@ -1063,5 +1063,5 @@
      * @param prmFlags	Combination of pjsua_destroy_flag enumeration.
      */
-    void libDestroy(unsigned prmFlags=0) throw(Error);
+    void libDestroy(unsigned prmFlags=0) PJSUA2_THROW(Error);
 
 
@@ -1136,5 +1136,5 @@
      */
     Token utilTimerSchedule(unsigned prmMsecDelay,
-                            Token prmUserData) throw (Error);
+                            Token prmUserData) PJSUA2_THROW(Error);
 
     /**
@@ -1158,5 +1158,5 @@
      * Get cipher list supported by SSL/TLS backend.
      */
-    IntVector utilSslGetAvailableCiphers() throw (Error);
+    IntVector utilSslGetAvailableCiphers() PJSUA2_THROW(Error);
 
     /*************************************************************************
@@ -1175,5 +1175,5 @@
      * Note that STUN must be enabled to run this function successfully.
      */
-    void natDetectType(void) throw(Error);
+    void natDetectType(void) PJSUA2_THROW(Error);
 
     /**
@@ -1186,5 +1186,5 @@
      * PJ_EPENDING exception will be raised.
      */
-    pj_stun_nat_type natGetType() throw(Error);
+    pj_stun_nat_type natGetType() PJSUA2_THROW(Error);
 
     /**
@@ -1212,5 +1212,5 @@
      */
     void natUpdateStunServers(const StringVector &prmServers,
-                              bool prmWait) throw(Error);
+                              bool prmWait) PJSUA2_THROW(Error);
 
     /**
@@ -1242,5 +1242,5 @@
     void natCheckStunServers(const StringVector &prmServers,
                              bool prmWait,
-                             Token prmUserData) throw(Error);
+                             Token prmUserData) PJSUA2_THROW(Error);
 
     /**
@@ -1257,5 +1257,5 @@
      */
     void natCancelCheckStunServers(Token token,
-                                   bool notify_cb = false) throw(Error);
+                                   bool notify_cb = false) PJSUA2_THROW(Error);
 
     /*************************************************************************
@@ -1273,5 +1273,5 @@
      */
     TransportId transportCreate(pjsip_transport_type_e type,
-                                const TransportConfig &cfg) throw(Error);
+                                const TransportConfig &cfg) PJSUA2_THROW(Error);
 
     /**
@@ -1283,5 +1283,5 @@
      * @return			Array of transport IDs.
      */
-    IntVector transportEnum() throw(Error);
+    IntVector transportEnum() PJSUA2_THROW(Error);
 
     /**
@@ -1292,5 +1292,5 @@
      * @return			Transport info.
      */
-    TransportInfo transportGetInfo(TransportId id) throw(Error);
+    TransportInfo transportGetInfo(TransportId id) PJSUA2_THROW(Error);
 
     /**
@@ -1304,5 +1304,5 @@
      *
      */
-    void transportSetEnable(TransportId id, bool enabled) throw(Error);
+    void transportSetEnable(TransportId id, bool enabled) PJSUA2_THROW(Error);
 
     /**
@@ -1313,5 +1313,5 @@
      * @param id		Transport ID.
      */
-    void transportClose(TransportId id) throw(Error);
+    void transportClose(TransportId id) PJSUA2_THROW(Error);
     
     /**
@@ -1328,5 +1328,5 @@
      * @param tp		The transport.
      */
-    void transportShutdown(TransportHandle tp) throw(Error);
+    void transportShutdown(TransportHandle tp) PJSUA2_THROW(Error);
 
     /*************************************************************************
@@ -1389,5 +1389,5 @@
      * @return		The list of media port.
      */
-    const AudioMediaVector &mediaEnumPorts() const throw(Error);
+    const AudioMediaVector &mediaEnumPorts() const PJSUA2_THROW(Error);
 
     /**
@@ -1396,5 +1396,5 @@
      * @return		The list of audio media port.
      */
-    AudioMediaVector2 mediaEnumPorts2() const throw(Error);
+    AudioMediaVector2 mediaEnumPorts2() const PJSUA2_THROW(Error);
 
     /**
@@ -1403,5 +1403,5 @@
      * @return		The list of video media port.
      */
-    VideoMediaVector mediaEnumVidPorts() const throw(Error);
+    VideoMediaVector mediaEnumVidPorts() const PJSUA2_THROW(Error);
 
     /**
@@ -1431,5 +1431,5 @@
      * @return		Array of codec info.
      */
-    const CodecInfoVector &codecEnum() throw(Error);
+    const CodecInfoVector &codecEnum() PJSUA2_THROW(Error);
 
     /**
@@ -1438,5 +1438,5 @@
      * @return		Array of codec info.
      */
-    CodecInfoVector2 codecEnum2() const throw(Error);
+    CodecInfoVector2 codecEnum2() const PJSUA2_THROW(Error);
 
     /**
@@ -1450,5 +1450,5 @@
      */
     void codecSetPriority(const string &codec_id,
-			  pj_uint8_t priority) throw(Error);
+			  pj_uint8_t priority) PJSUA2_THROW(Error);
 
     /**
@@ -1461,5 +1461,5 @@
      *
      */
-    CodecParam codecGetParam(const string &codec_id) const throw(Error);
+    CodecParam codecGetParam(const string &codec_id) const PJSUA2_THROW(Error);
 
     /**
@@ -1472,5 +1472,5 @@
      */
     void codecSetParam(const string &codec_id,
-		       const CodecParam param) throw(Error);
+		       const CodecParam param) PJSUA2_THROW(Error);
 
     /**
@@ -1482,5 +1482,5 @@
      * @return		Array of video codec info.
      */
-    const CodecInfoVector &videoCodecEnum() throw(Error);
+    const CodecInfoVector &videoCodecEnum() PJSUA2_THROW(Error);
 
     /**
@@ -1489,5 +1489,5 @@
      * @return		Array of video codec info.
      */
-    CodecInfoVector2 videoCodecEnum2() const throw(Error);
+    CodecInfoVector2 videoCodecEnum2() const PJSUA2_THROW(Error);
 
     /**
@@ -1502,5 +1502,5 @@
      */
     void videoCodecSetPriority(const string &codec_id,
-			       pj_uint8_t priority) throw(Error);
+			       pj_uint8_t priority) PJSUA2_THROW(Error);
 
     /**
@@ -1513,5 +1513,6 @@
      *
      */
-    VidCodecParam getVideoCodecParam(const string &codec_id) const throw(Error);
+    VidCodecParam getVideoCodecParam(const string &codec_id) const
+				     PJSUA2_THROW(Error);
 
     /**
@@ -1523,5 +1524,5 @@
      */
     void setVideoCodecParam(const string &codec_id,
-			    const VidCodecParam &param) throw(Error);
+			    const VidCodecParam &param) PJSUA2_THROW(Error);
 			    
     /**
@@ -1531,5 +1532,5 @@
      *
      */
-    void resetVideoCodecParam(const string &codec_id) throw(Error);
+    void resetVideoCodecParam(const string &codec_id) PJSUA2_THROW(Error);
 
     /**
@@ -1538,5 +1539,5 @@
      * @return		The list of SRTP crypto-suite name.
      */
-    StringVector srtpCryptoEnum() throw(Error);
+    StringVector srtpCryptoEnum() PJSUA2_THROW(Error);
 
     /*************************************************************************
@@ -1563,5 +1564,5 @@
      * @return		PJ_SUCCESS on success, other on error.
      */
-    void handleIpChange(const IpChangeParam &param) throw(Error);
+    void handleIpChange(const IpChangeParam &param) PJSUA2_THROW(Error);
 
 public:
Index: pjproject/trunk/pjsip/include/pjsua2/json.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/json.hpp	(revision 6025)
+++ pjproject/trunk/pjsip/include/pjsua2/json.hpp	(revision 6026)
@@ -59,5 +59,5 @@
      * @param filename		The file name.
      */
-    virtual void   loadFile(const string &filename) throw(Error);
+    virtual void   loadFile(const string &filename) PJSUA2_THROW(Error);
 
     /**
@@ -66,5 +66,5 @@
      * @param input		The string.
      */
-    virtual void   loadString(const string &input) throw(Error);
+    virtual void   loadString(const string &input) PJSUA2_THROW(Error);
 
     /**
@@ -73,10 +73,10 @@
      * @param filename		The file name.
      */
-    virtual void   saveFile(const string &filename) throw(Error);
+    virtual void   saveFile(const string &filename) PJSUA2_THROW(Error);
 
     /**
      * Write this document to string.
      */
-    virtual string saveString() throw(Error);
+    virtual string saveString() PJSUA2_THROW(Error);
 
     /**
